Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.filters
[Java] Class HiddenHttpMethodFilter.HttpMethodRequestWrapper

    java.lang.Object
      javax.servlet.ServletRequestWrapper
          javax.servlet.http.HttpServletRequestWrapper
              org.codehaus.groovy.grails.web.filters.HiddenHttpMethodFilter.HttpMethodRequestWrapper

    protected static class HiddenHttpMethodFilter.HttpMethodRequestWrapper
    extends javax.servlet.http.HttpServletRequestWrapper

Simple javax.servlet.http.HttpServletRequest wrapper that returns the supplied method for javax.servlet.http.HttpServletRequest#getMethod().

Field Summary

Fields inherited from class javax.servlet.http.HttpServletRequestWrapper
BASIC_AUTH, FORM_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH

Constructor Summary
`HiddenHttpMethodFilter.HttpMethodRequestWrapper(java.lang.String method, javax.servlet.http.HttpServletRequest request)`

Method Summary
`java.lang.String` | `getMethod()`

Methods inherited from class javax.servlet.http.HttpServletRequestWrapper
javax.servlet.http.HttpServletRequestWrapper#getMethod(), javax.servlet.http.HttpServletRequestWrapper#getHeaders(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#login(java.lang.String, java.lang.String), javax.servlet.http.HttpServletRequestWrapper#logout(), javax.servlet.http.HttpServletRequestWrapper#getHeader(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#getCookies(), javax.servlet.http.HttpServletRequestWrapper#authenticate(javax.servlet.http.HttpServletResponse), javax.servlet.http.HttpServletRequestWrapper#getUserPrincipal(), javax.servlet.http.HttpServletRequestWrapper#getSession(), javax.servlet.http.HttpServletRequestWrapper#getSession(boolean), javax.servlet.http.HttpServletRequestWrapper#getQueryString(), javax.servlet.http.HttpServletRequestWrapper#getParts(), javax.servlet.http.HttpServletRequestWrapper#getContextPath(), javax.servlet.http.HttpServletRequestWrapper#getServletPath(), javax.servlet.http.HttpServletRequestWrapper#getPathInfo(), javax.servlet.http.HttpServletRequestWrapper#getRequestURI(), javax.servlet.http.HttpServletRequestWrapper#getAuthType(), javax.servlet.http.HttpServletRequestWrapper#getDateHeader(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#getHeaderNames(), javax.servlet.http.HttpServletRequestWrapper#getIntHeader(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#getPathTranslated(), javax.servlet.http.HttpServletRequestWrapper#getRemoteUser(), javax.servlet.http.HttpServletRequestWrapper#isUserInRole(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#getRequestedSessionId(), javax.servlet.http.HttpServletRequestWrapper#getRequestURL(), javax.servlet.http.HttpServletRequestWrapper#isRequestedSessionIdValid(), javax.servlet.http.HttpServletRequestWrapper#isRequestedSessionIdFromCookie(), javax.servlet.http.HttpServletRequestWrapper#isRequestedSessionIdFromURL(), javax.servlet.http.HttpServletRequestWrapper#isRequestedSessionIdFromUrl(), javax.servlet.http.HttpServletRequestWrapper#getPart(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#getScheme(), javax.servlet.http.HttpServletRequestWrapper#getProtocol(), javax.servlet.http.HttpServletRequestWrapper#getInputStream(), javax.servlet.http.HttpServletRequestWrapper#getAttribute(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#getContentType(), javax.servlet.http.HttpServletRequestWrapper#getParameter(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#getContentLength(), javax.servlet.http.HttpServletRequestWrapper#getLocale(), javax.servlet.http.HttpServletRequestWrapper#setAttribute(java.lang.String, java.lang.Object), javax.servlet.http.HttpServletRequestWrapper#getLocalPort(), javax.servlet.http.HttpServletRequestWrapper#isWrapperFor(java.lang.Class), javax.servlet.http.HttpServletRequestWrapper#isWrapperFor(javax.servlet.ServletRequest), javax.servlet.http.HttpServletRequestWrapper#getReader(), javax.servlet.http.HttpServletRequestWrapper#getLocalName(), javax.servlet.http.HttpServletRequestWrapper#removeAttribute(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#getAttributeNames(), javax.servlet.http.HttpServletRequestWrapper#isSecure(), javax.servlet.http.HttpServletRequestWrapper#getRemotePort(), javax.servlet.http.HttpServletRequestWrapper#getRequest(), javax.servlet.http.HttpServletRequestWrapper#getServletContext(), javax.servlet.http.HttpServletRequestWrapper#getParameterNames(), javax.servlet.http.HttpServletRequestWrapper#getCharacterEncoding(), javax.servlet.http.HttpServletRequestWrapper#setCharacterEncoding(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#getParameterValues(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#getParameterMap(), javax.servlet.http.HttpServletRequestWrapper#getServerName(), javax.servlet.http.HttpServletRequestWrapper#getServerPort(), javax.servlet.http.HttpServletRequestWrapper#getRemoteAddr(), javax.servlet.http.HttpServletRequestWrapper#getRemoteHost(), javax.servlet.http.HttpServletRequestWrapper#getLocales(), javax.servlet.http.HttpServletRequestWrapper#getRequestDispatcher(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#getRealPath(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#getLocalAddr(), javax.servlet.http.HttpServletRequestWrapper#startAsync(javax.servlet.ServletRequest, javax.servlet.ServletResponse), javax.servlet.http.HttpServletRequestWrapper#startAsync(), javax.servlet.http.HttpServletRequestWrapper#isAsyncStarted(), javax.servlet.http.HttpServletRequestWrapper#isAsyncSupported(), javax.servlet.http.HttpServletRequestWrapper#getAsyncContext(), javax.servlet.http.HttpServletRequestWrapper#getDispatcherType(), javax.servlet.http.HttpServletRequestWrapper#setRequest(javax.servlet.ServletRequest), javax.servlet.http.HttpServletRequestWrapper#wait(), javax.servlet.http.HttpServletRequestWrapper#wait(long), javax.servlet.http.HttpServletRequestWrapper#wait(long, int), javax.servlet.http.HttpServletRequestWrapper#equals(java.lang.Object), javax.servlet.http.HttpServletRequestWrapper#toString(), javax.servlet.http.HttpServletRequestWrapper#hashCode(), javax.servlet.http.HttpServletRequestWrapper#getClass(), javax.servlet.http.HttpServletRequestWrapper#notify(), javax.servlet.http.HttpServletRequestWrapper#notifyAll()

Methods inherited from class javax.servlet.ServletRequestWrapper
javax.servlet.ServletRequestWrapper#getScheme(), javax.servlet.ServletRequestWrapper#getProtocol(), javax.servlet.ServletRequestWrapper#getInputStream(), javax.servlet.ServletRequestWrapper#getAttribute(java.lang.String), javax.servlet.ServletRequestWrapper#getContentType(), javax.servlet.ServletRequestWrapper#getParameter(java.lang.String), javax.servlet.ServletRequestWrapper#getContentLength(), javax.servlet.ServletRequestWrapper#getLocale(), javax.servlet.ServletRequestWrapper#setAttribute(java.lang.String, java.lang.Object), javax.servlet.ServletRequestWrapper#getLocalPort(), javax.servlet.ServletRequestWrapper#isWrapperFor(java.lang.Class), javax.servlet.ServletRequestWrapper#isWrapperFor(javax.servlet.ServletRequest), javax.servlet.ServletRequestWrapper#getReader(), javax.servlet.ServletRequestWrapper#getLocalName(), javax.servlet.ServletRequestWrapper#removeAttribute(java.lang.String), javax.servlet.ServletRequestWrapper#getAttributeNames(), javax.servlet.ServletRequestWrapper#isSecure(), javax.servlet.ServletRequestWrapper#getRemotePort(), javax.servlet.ServletRequestWrapper#getRequest(), javax.servlet.ServletRequestWrapper#getServletContext(), javax.servlet.ServletRequestWrapper#getParameterNames(), javax.servlet.ServletRequestWrapper#getCharacterEncoding(), javax.servlet.ServletRequestWrapper#setCharacterEncoding(java.lang.String), javax.servlet.ServletRequestWrapper#getParameterValues(java.lang.String), javax.servlet.ServletRequestWrapper#getParameterMap(), javax.servlet.ServletRequestWrapper#getServerName(), javax.servlet.ServletRequestWrapper#getServerPort(), javax.servlet.ServletRequestWrapper#getRemoteAddr(), javax.servlet.ServletRequestWrapper#getRemoteHost(), javax.servlet.ServletRequestWrapper#getLocales(), javax.servlet.ServletRequestWrapper#getRequestDispatcher(java.lang.String), javax.servlet.ServletRequestWrapper#getRealPath(java.lang.String), javax.servlet.ServletRequestWrapper#getLocalAddr(), javax.servlet.ServletRequestWrapper#startAsync(javax.servlet.ServletRequest, javax.servlet.ServletResponse), javax.servlet.ServletRequestWrapper#startAsync(), javax.servlet.ServletRequestWrapper#isAsyncStarted(), javax.servlet.ServletRequestWrapper#isAsyncSupported(), javax.servlet.ServletRequestWrapper#getAsyncContext(), javax.servlet.ServletRequestWrapper#getDispatcherType(), javax.servlet.ServletRequestWrapper#setRequest(javax.servlet.ServletRequest), javax.servlet.ServletRequestWrapper#wait(), javax.servlet.ServletRequestWrapper#wait(long), javax.servlet.ServletRequestWrapper#wait(long, int), javax.servlet.ServletRequestWrapper#equals(java.lang.Object), javax.servlet.ServletRequestWrapper#toString(), javax.servlet.ServletRequestWrapper#hashCode(), javax.servlet.ServletRequestWrapper#getClass(), javax.servlet.ServletRequestWrapper#notify(), javax.servlet.ServletRequestWrapper#notifyAll()

Constructor Detail

### HiddenHttpMethodFilter.HttpMethodRequestWrapper

    public HiddenHttpMethodFilter.HttpMethodRequestWrapper(java.lang.String method, javax.servlet.http.HttpServletRequest request)

Method Detail

### getMethod

    @Override
    public java.lang.String getMethod()

Groovy Documentation